-- options6.lua: process command-line options in standalone dednat6.
-- This file:
--   http://angg.twu.net/LATEX/dednat6/options.lua.html
--   http://angg.twu.net/LATEX/dednat6/options.lua
--                          (find-dn6 "options.lua")
-- Author: Eduardo Ochs <eduardoochs@gmail.com>
-- Version: 2019apr30
-- License: GPL3
--
-- Tests:
--   (find-es "dednat" "dednat6-dnt-from-lua")
--
-- Based on:
--   (find-dn5file "options.lua")
--   (find-dn5file "options6.lua")
--   (find-dn5file "options6.lua" "dooption_t =")
--   (find-dn5file "options6.lua" "dooptions =")
--   (find-blogme3 "options.lua" "dooptions")
--   (find-blogme3file "blogme3.lua" "dooptions(unpack(arg or {}))")
--   (find-blogme4 "options.lua")

-- See: (find-LATEX "2011ebl-slides.tex")
--      (find-LATEXfile "2011ebl-slides.tex" "dednat5 -t")
--      (find-dn6 "build.lua")

dooptions_help = function ()
    print("At this moment dednat6load.lua can only be called in")
    print("standalone mode as this:")
    print()
    print("  dednat6load.lua -t somefile.tex")
    print()
    print("and somefile.tex must contain an %L-block with commands")
    print("to write the .dnt file.")
    os.exit(1)
  end

dooptions_t = function (fname)
    print("% Processing: "..fname)
    texfile0(fname)
    --
    tex = {print = function () end}
    output_quiet = function (str)
        -- tex.print(deletecomments(str))
        dnt_log = dnt_log..str.."\n"
      end
    --
    tf:processuntil(tf.j)
  end

dooptions = function (arg1, arg2)
    if arg1 == "-t" then
      -- PP(arg)
      dooptions_t(arg2)
    else
      dooptions_help()
    end
  end






--[==[
 (eepitch-shell)
 (eepitch-kill)
 (eepitch-shell)
cd ~/LATEX/
./dednat6load.lua
./dednat6load.lua foo
./dednat6load.lua -t 
./dednat6load.lua -t 2019logicday.tex


--]==]

-- Local Variables:
-- coding:             raw-text-unix
-- ee-anchor-format:   "%s"
-- End:
